%define upstream_name    Proc-Daemon
%define upstream_version 0.22

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Run a perl program as a daemon process

License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRequires: perl(Proc::ProcessTable)
BuildArch:	noarch

%description
Proc::Daemon provides the capability for a Perl program to run
as a Unix daemon process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc 
%{_mandir}/man3/*
%{perl_vendorlib}/Proc

%changelog

* Sun Dec 27 2015 Denis Silakov <dsilakov@gmail.com> 0.220.0-1
- (3a4b04a) Updated to 0.22 (by updates_builder)


